Vulnerabilities in StoreOnce 3640 4.3.2